<?php
if (isset($_SESSION['user_id'])) {
    $messageout = "";
    $messageoutc = "";

    if (isset($_POST["upload"])) {
        unset($_POST["upload"]);
        $folder = $_POST['namefold'];
        unset($_POST["namefold"]);
        $dir_base = "../../assets/img/";


        if ($folder == 'other') { // folder add user
            $folder = $_POST['namefolduser'];
            unset($_POST["uploaduser"]);
            if (file_exists($dir_base . $folder)) {
                $messageout .= "<li><p>folder istnieje pliki zostaną dodane do katalogu $folder</p></li>";
            } else {
                mkdir($dir_base . $folder);
                $messageout .= "<li><p>folder został utworzony pliki zostaną dodane do katalogu $folder</p></li>";
            }
        } else if (!file_exists($dir_base . $folder)) {
            $messageout .= "<li><p>wystąpił nie oczekiwany błąd</p></li>";
            return 0;
        } else if ($folder == null) {
            $messageout .= "<li><p>nie wybrałeś folderu</p></li>";
            return 0;
        } else {
            $messageout .= "<li><p>zdjecia zostaną dodane do katalogu $folder</p></li>";
        }

        $folder_dir = $dir_base . "$folder/";
        $names = $_FILES['files']['name'];
        $tmp_names = $_FILES['files']['tmp_name'];

        $upload_data = array_combine($tmp_names, $names);

        foreach ($upload_data as $temp_folder => $file) {
            if (!($file == null)) {
                $uploadOk = 1;
                $messageout .= "<li><p> Plik $file ";
                $data_file_img = getimagesize($temp_folder);
                $imageFileType = strtolower(pathinfo($folder_dir . $file, PATHINFO_EXTENSION));

                if ((
                    $imageFileType != "jpg" && $imageFileType != "png" && $imageFileType != "jpeg" && $imageFileType != "webp"
                ) || !($data_file_img != false)) {
                    $messageout .= " Nie ma odpowiedniego roszerzenia JPG, JPEG, PNG , WEBP , GIF ";
                    $uploadOk = 0;
                } else {
                    if (filesize($temp_folder) > 52428800) {
                        $messageout .= " Jest za duży maksymalny rozmiar to 50mb ";
                        $uploadOk = 0;
                    }
                }

                if ($uploadOk != 0) {
                    if (file_exists($folder_dir . $file)) {
                        if (move_uploaded_file($temp_folder, $folder_dir . $file)) {
                            $messageout .= " plik istnieje usuń ten plik lub zmień nazwe pliku dodawanego ";
                        }
                    } else if (move_uploaded_file($temp_folder, $folder_dir . $file)) {
                        $messageout .= " Został dodany ";
                    } else {
                        $messageout .= " Wystąpił nieoczekiwany błąd plik nie został dodany ";
                    }
                } else {
                    $messageout .= " Nie został dodany ";
                }
                $messageout .= "</p></li>";
            }
        }
    }

    if ($user_data["rola"] == "admin") {
        if (isset($_POST["delldir"])) {
            unset($_POST["delldir"]);
            $folder = $_POST['namefold'];
            unset($_POST["namefold"]);
            $dir_base = "../../assets/img/";
            if ($folder != null) {
                if (file_exists($dir_base . $folder)) {
                    $messageoutc .= "folder o nazwie $folder";
                    if (rmdir($dir_base . $folder)) {
                        return 0;
                    } else {
                        $messageoutc .= " coś poszło nie tak usuń pliki z katalogu i spróbuj pownownie";
                    }
                } else {
                    $messageoutc .= "folder o nazwie $folder nie istnieje";
                }
            } else {
                $messageoutc .= "nie wybrałeś folderu";
            }
            echo "<script type='text/javascript' >alert('$messageoutc'); window.location = '../file/dirfile.php';</script> ";
        }

        if (isset($_POST["dellfile"])) {
            unset($_POST["dellfile"]);
            $file = $_POST['namefile'];
            $folder = $_GET['folder'];
            unset($_POST["namefile"]);
            $dir_base = "../../assets/img/$folder/";
            if (file_exists($dir_base . $file)) {
                $messageoutc .= "plik o nazwie $file";
                if (unlink($dir_base .  $file)) {
                    return 0;
                } else {
                    $messageoutc .= " coś poszło nie tak spróbuj pownownie";
                }
            } else {
                $messageoutc .= " plik o nazwie $file nie istniej";
            }
            echo "<script type='text/javascript' >alert('$messageoutc'); window.location = '../file/viwefile.php?folder=$folder';</script> ";
        }

        if (isset($_POST["multidellfile"]) && $temp_folder = ! null) {
            unset($_POST["multidellfile"]);
            $folder = $_GET['folder'];
            if (isset($_POST["dellmas"])) {
                $file_list = $_POST['dellmas'];
                if ($file_list != null) {
                    unset($_POST["dellmas"]);
                    $dir_base = "../../assets/img/$folder/";
                    foreach ($file_list as $file) {
                        if (file_exists($dir_base . $file)) {
                            $messageoutc .= "plik o nazwie $file";
                            if (unlink($dir_base .  $file)) {
                                $messageoutc .= " zostal usuniety";
                            } else {
                                $messageoutc .= " coś poszło nie tak spróbuj pownownie";
                            }
                        } else {
                            $messageoutc .= " plik o nazwie $file nie istniej";
                        }
                    }
                }
                // echo "<script type='text/javascript' >alert('$messageoutc'); window.location = '../file/viwefile.php?folder=$folder';</script> ";
            }
        }
    }
}
